Package org.apache.sling.commons.log.logback.internal.util

# Class SlingStatusPrinter

java.lang.Object
org.apache.sling.commons.log.logback.internal.util.SlingStatusPrinter

public class SlingStatusPrinter extends Object
Custom StatusPrinter similar to Logback StatusPrinter to account for changes required for SLING-3410

## Method Summary

Modifier and Type
Method
Description
`static void`
`printInCaseOfErrorsOrWarnings(@Nullable ch.qos.logback.core.Context context, long threshold, long msgSince, boolean initSuccess)`
Based on StatusPrinter. printInCaseOfErrorsOrWarnings.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### printInCaseOfErrorsOrWarnings

public static void printInCaseOfErrorsOrWarnings(@Nullable @Nullable ch.qos.logback.core.Context context, long threshold, long msgSince, boolean initSuccess)
Based on StatusPrinter. printInCaseOfErrorsOrWarnings. This has been adapted to print more context i.e. some message from before the error message to better understand the failure scenario

Parameters:
  `context` - the logback context
  `threshold` - time since which the message have to be checked for errors/warnings
  `msgSince` - time from which we are interested in the message logs
  `initSuccess` - flag indicating if Logback configuration failed or not